<?php
/**
 * Footer Setting
 *
 * @package Feminine_Lifestyle_Blog
 */

function feminine_lifestyle_blog_customize_register_footer( $wp_customize ) {
    
    $wp_customize->add_section(
        'footer_settings',
        array(
            'title'      => __( 'Footer Settings', 'feminine-lifestyle-blog' ),
            'priority'   => 199,
            'capability' => 'edit_theme_options',
        )
    );
    
    /** Footer Copyright */
    $wp_customize->add_setting(
        'footer_copyright',
        array(
            'default'           => '',
            'sanitize_callback' => 'wp_kses_post',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'footer_copyright',
        array(
            'label'       => __( 'Footer Copyright Text', 'feminine-lifestyle-blog' ),
            'description' => __( 'You can change your footer copyright here.', 'feminine-lifestyle-blog' ),
            'section'     => 'footer_settings',
            'type'        => 'textarea',
        )
    );
    
    $wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
        'selector' => '.footer-b .copyright .copyright-text',
        'render_callback' => 'feminine_lifestyle_blog_get_footer_copyright',
    ) );
        
}
add_action( 'customize_register', 'feminine_lifestyle_blog_customize_register_footer' );